Index: /branches/ClientUserManagement/HeuristicLab.Services.Access.DataAccess/3.3/ClientManagement.designer.cs
===================================================================
--- /branches/ClientUserManagement/HeuristicLab.Services.Access.DataAccess/3.3/ClientManagement.designer.cs	(revision 6839)
+++ /branches/ClientUserManagement/HeuristicLab.Services.Access.DataAccess/3.3/ClientManagement.designer.cs	(revision 6840)
@@ -860,127 +1012,154 @@
     partial void OnMessageChanged();
     #endregion
-
-    public ClientLog() {
-      this._Resource = default(EntityRef<Resource>);
-      OnCreated();
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Timestamp", DbType = "DateTime NOT NULL", IsPrimaryKey = true)]
-    public System.DateTime Timestamp {
-      get {
-        return this._Timestamp;
-      }
-      set {
-        if ((this._Timestamp != value)) {
-          this.OnTimestampChanging(value);
-          this.SendPropertyChanging();
-          this._Timestamp = value;
-          this.SendPropertyChanged("Timestamp");
-          this.OnTimestampChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_ResourceId", DbType = "UniqueIdentifier NOT NULL", IsPrimaryKey = true)]
-    public System.Guid ResourceId {
-      get {
-        return this._ResourceId;
-      }
-      set {
-        if ((this._ResourceId != value)) {
-          if (this._Resource.HasLoadedOrAssignedValue) {
-            throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
-          }
-          this.OnResourceIdChanging(value);
-          this.SendPropertyChanging();
-          this._ResourceId = value;
-          this.SendPropertyChanged("ResourceId");
-          this.OnResourceIdChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Message", DbType = "NVarChar(MAX)")]
-    public string Message {
-      get {
-        return this._Message;
-      }
-      set {
-        if ((this._Message != value)) {
-          this.OnMessageChanging(value);
-          this.SendPropertyChanging();
-          this._Message = value;
-          this.SendPropertyChanged("Message");
-          this.OnMessageChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.AssociationAttribute(Name = "Resource_ClientLog", Storage = "_Resource", ThisKey = "ResourceId", OtherKey = "Id", IsForeignKey = true)]
-    public Resource Resource {
-      get {
-        return this._Resource.Entity;
-      }
-      set {
-        Resource previousValue = this._Resource.Entity;
-        if (((previousValue != value)
-              || (this._Resource.HasLoadedOrAssignedValue == false))) {
-          this.SendPropertyChanging();
-          if ((previousValue != null)) {
-            this._Resource.Entity = null;
-            previousValue.ClientLogs.Remove(this);
-          }
-          this._Resource.Entity = value;
-          if ((value != null)) {
-            value.ClientLogs.Add(this);
-            this._ResourceId = value.Id;
-          } else {
-            this._ResourceId = default(System.Guid);
-          }
-          this.SendPropertyChanged("Resource");
-        }
-      }
-    }
-
-    public event PropertyChangingEventHandler PropertyChanging;
-
-    public event PropertyChangedEventHandler PropertyChanged;
-
-    protected virtual void SendPropertyChanging() {
-      if ((this.PropertyChanging != null)) {
-        this.PropertyChanging(this, emptyChangingEventArgs);
-      }
-    }
-
-    protected virtual void SendPropertyChanged(String propertyName) {
-      if ((this.PropertyChanged != null)) {
-        this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
-      }
-    }
-  }
-
-  [global::System.Data.Linq.Mapping.TableAttribute(Name = "dbo.ClientError")]
-  public partial class ClientError : INotifyPropertyChanging, INotifyPropertyChanged {
-
-    private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
-
-    private System.Guid _Id;
-
-    private System.DateTime _Timestamp;
-
-    private string _Exception;
-
-    private string _UserComment;
-
-    private string _ConfigDump;
-
-    private System.Nullable<System.Guid> _ClientId;
-
-    private System.Nullable<System.Guid> _UserId;
-
-    private EntityRef<Resource> _Resource;
-
-    private EntityRef<UserGroupBase> _UserGroupBase;
-
+		
+		public ClientLog()
+		{
+			this._Resource = default(EntityRef<Resource>);
+			OnCreated();
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Timestamp", DbType="DateTime NOT NULL", IsPrimaryKey=true)]
+		public System.DateTime Timestamp
+		{
+			get
+			{
+				return this._Timestamp;
+			}
+			set
+			{
+				if ((this._Timestamp != value))
+				{
+					this.OnTimestampChanging(value);
+					this.SendPropertyChanging();
+					this._Timestamp = value;
+					this.SendPropertyChanged("Timestamp");
+					this.OnTimestampChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ResourceId", DbType="UniqueIdentifier NOT NULL", IsPrimaryKey=true)]
+		public System.Guid ResourceId
+		{
+			get
+			{
+				return this._ResourceId;
+			}
+			set
+			{
+				if ((this._ResourceId != value))
+				{
+					if (this._Resource.HasLoadedOrAssignedValue)
+					{
+						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
+					}
+					this.OnResourceIdChanging(value);
+					this.SendPropertyChanging();
+					this._ResourceId = value;
+					this.SendPropertyChanged("ResourceId");
+					this.OnResourceIdChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Message", DbType="NVarChar(MAX)")]
+		public string Message
+		{
+			get
+			{
+				return this._Message;
+			}
+			set
+			{
+				if ((this._Message != value))
+				{
+					this.OnMessageChanging(value);
+					this.SendPropertyChanging();
+					this._Message = value;
+					this.SendPropertyChanged("Message");
+					this.OnMessageChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Resource_ClientLog", Storage="_Resource", ThisKey="ResourceId", OtherKey="Id", IsForeignKey=true)]
+		public Resource Resource
+		{
+			get
+			{
+				return this._Resource.Entity;
+			}
+			set
+			{
+				Resource previousValue = this._Resource.Entity;
+				if (((previousValue != value) 
+							|| (this._Resource.HasLoadedOrAssignedValue == false)))
+				{
+					this.SendPropertyChanging();
+					if ((previousValue != null))
+					{
+						this._Resource.Entity = null;
+						previousValue.ClientLogs.Remove(this);
+					}
+					this._Resource.Entity = value;
+					if ((value != null))
+					{
+						value.ClientLogs.Add(this);
+						this._ResourceId = value.Id;
+					}
+					else
+					{
+						this._ResourceId = default(System.Guid);
+					}
+					this.SendPropertyChanged("Resource");
+				}
+			}
+		}
+		
+		public event PropertyChangingEventHandler PropertyChanging;
+		
+		public event PropertyChangedEventHandler PropertyChanged;
+		
+		protected virtual void SendPropertyChanging()
+		{
+			if ((this.PropertyChanging != null))
+			{
+				this.PropertyChanging(this, emptyChangingEventArgs);
+			}
+		}
+		
+		protected virtual void SendPropertyChanged(String propertyName)
+		{
+			if ((this.PropertyChanged != null))
+			{
+				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
+			}
+		}
+	}
+	
+	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.ClientError")]
+	public partial class ClientError : INotifyPropertyChanging, INotifyPropertyChanged
+	{
+		
+		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
+		
+		private System.Guid _Id;
+		
+		private System.DateTime _Timestamp;
+		
+		private string _Exception;
+		
+		private string _UserComment;
+		
+		private string _ConfigDump;
+		
+		private System.Nullable<System.Guid> _ClientId;
+		
+		private System.Nullable<System.Guid> _UserId;
+		
+		private EntityRef<Resource> _Resource;
+		
+		private EntityRef<UserGroupBase> _UserGroupBase;
+		
     #region Extensibility Method Definitions
     partial void OnLoaded();
@@ -1002,216 +1181,268 @@
     partial void OnUserIdChanged();
     #endregion
-
-    public ClientError() {
-      this._Resource = default(EntityRef<Resource>);
-      this._UserGroupBase = default(EntityRef<UserGroupBase>);
-      OnCreated();
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Id", DbType = "UniqueIdentifier NOT NULL", IsPrimaryKey = true, IsDbGenerated = true)]
-    public System.Guid Id {
-      get {
-        return this._Id;
-      }
-      set {
-        if ((this._Id != value)) {
-          this.OnIdChanging(value);
-          this.SendPropertyChanging();
-          this._Id = value;
-          this.SendPropertyChanged("Id");
-          this.OnIdChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Timestamp", DbType = "DateTime NOT NULL")]
-    public System.DateTime Timestamp {
-      get {
-        return this._Timestamp;
-      }
-      set {
-        if ((this._Timestamp != value)) {
-          this.OnTimestampChanging(value);
-          this.SendPropertyChanging();
-          this._Timestamp = value;
-          this.SendPropertyChanged("Timestamp");
-          this.OnTimestampChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Exception", DbType = "NVarChar(MAX)")]
-    public string Exception {
-      get {
-        return this._Exception;
-      }
-      set {
-        if ((this._Exception != value)) {
-          this.OnExceptionChanging(value);
-          this.SendPropertyChanging();
-          this._Exception = value;
-          this.SendPropertyChanged("Exception");
-          this.OnExceptionChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_UserComment", DbType = "NVarChar(MAX)")]
-    public string UserComment {
-      get {
-        return this._UserComment;
-      }
-      set {
-        if ((this._UserComment != value)) {
-          this.OnUserCommentChanging(value);
-          this.SendPropertyChanging();
-          this._UserComment = value;
-          this.SendPropertyChanged("UserComment");
-          this.OnUserCommentChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_ConfigDump", DbType = "NVarChar(MAX)")]
-    public string ConfigDump {
-      get {
-        return this._ConfigDump;
-      }
-      set {
-        if ((this._ConfigDump != value)) {
-          this.OnConfigDumpChanging(value);
-          this.SendPropertyChanging();
-          this._ConfigDump = value;
-          this.SendPropertyChanged("ConfigDump");
-          this.OnConfigDumpChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_ClientId", DbType = "UniqueIdentifier")]
-    public System.Nullable<System.Guid> ClientId {
-      get {
-        return this._ClientId;
-      }
-      set {
-        if ((this._ClientId != value)) {
-          if (this._Resource.HasLoadedOrAssignedValue) {
-            throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
-          }
-          this.OnClientIdChanging(value);
-          this.SendPropertyChanging();
-          this._ClientId = value;
-          this.SendPropertyChanged("ClientId");
-          this.OnClientIdChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_UserId", DbType = "UniqueIdentifier")]
-    public System.Nullable<System.Guid> UserId {
-      get {
-        return this._UserId;
-      }
-      set {
-        if ((this._UserId != value)) {
-          if (this._UserGroupBase.HasLoadedOrAssignedValue) {
-            throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
-          }
-          this.OnUserIdChanging(value);
-          this.SendPropertyChanging();
-          this._UserId = value;
-          this.SendPropertyChanged("UserId");
-          this.OnUserIdChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.AssociationAttribute(Name = "Resource_ClientError", Storage = "_Resource", ThisKey = "ClientId", OtherKey = "Id", IsForeignKey = true)]
-    public Resource Resource {
-      get {
-        return this._Resource.Entity;
-      }
-      set {
-        Resource previousValue = this._Resource.Entity;
-        if (((previousValue != value)
-              || (this._Resource.HasLoadedOrAssignedValue == false))) {
-          this.SendPropertyChanging();
-          if ((previousValue != null)) {
-            this._Resource.Entity = null;
-            previousValue.ClientErrors.Remove(this);
-          }
-          this._Resource.Entity = value;
-          if ((value != null)) {
-            value.ClientErrors.Add(this);
-            this._ClientId = value.Id;
-          } else {
-            this._ClientId = default(Nullable<System.Guid>);
-          }
-          this.SendPropertyChanged("Resource");
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.AssociationAttribute(Name = "UserGroupBase_ClientError", Storage = "_UserGroupBase", ThisKey = "UserId", OtherKey = "Id", IsForeignKey = true)]
-    public UserGroupBase UserGroupBase {
-      get {
-        return this._UserGroupBase.Entity;
-      }
-      set {
-        UserGroupBase previousValue = this._UserGroupBase.Entity;
-        if (((previousValue != value)
-              || (this._UserGroupBase.HasLoadedOrAssignedValue == false))) {
-          this.SendPropertyChanging();
-          if ((previousValue != null)) {
-            this._UserGroupBase.Entity = null;
-            previousValue.ClientErrors.Remove(this);
-          }
-          this._UserGroupBase.Entity = value;
-          if ((value != null)) {
-            value.ClientErrors.Add(this);
-            this._UserId = value.Id;
-          } else {
-            this._UserId = default(Nullable<System.Guid>);
-          }
-          this.SendPropertyChanged("UserGroupBase");
-        }
-      }
-    }
-
-    public event PropertyChangingEventHandler PropertyChanging;
-
-    public event PropertyChangedEventHandler PropertyChanged;
-
-    protected virtual void SendPropertyChanging() {
-      if ((this.PropertyChanging != null)) {
-        this.PropertyChanging(this, emptyChangingEventArgs);
-      }
-    }
-
-    protected virtual void SendPropertyChanged(String propertyName) {
-      if ((this.PropertyChanged != null)) {
-        this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
-      }
-    }
-  }
-
-  [global::System.Data.Linq.Mapping.TableAttribute(Name = "dbo.UserGroup")]
-  [global::System.Data.Linq.Mapping.InheritanceMappingAttribute(Code = "UserGroupBase", Type = typeof(UserGroupBase))]
-  [global::System.Data.Linq.Mapping.InheritanceMappingAttribute(Code = "User", Type = typeof(User))]
-  [global::System.Data.Linq.Mapping.InheritanceMappingAttribute(Code = "UserGroup", Type = typeof(UserGroup))]
-  public partial class UserGroupBase : INotifyPropertyChanging, INotifyPropertyChanged {
-
-    private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
-
-    private System.Guid _Id;
-
-    private string _Type;
-
-    private EntitySet<ClientError> _ClientErrors;
-
-    private EntitySet<UserGroupUserGroup> _UserGroupUserGroups;
-
-    private EntitySet<UserGroupUserGroup> _UserGroupUserGroups1;
-
+		
+		public ClientError()
+		{
+			this._Resource = default(EntityRef<Resource>);
+			this._UserGroupBase = default(EntityRef<UserGroupBase>);
+			OnCreated();
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", DbType="UniqueIdentifier NOT NULL", IsPrimaryKey=true, IsDbGenerated=true)]
+		public System.Guid Id
+		{
+			get
+			{
+				return this._Id;
+			}
+			set
+			{
+				if ((this._Id != value))
+				{
+					this.OnIdChanging(value);
+					this.SendPropertyChanging();
+					this._Id = value;
+					this.SendPropertyChanged("Id");
+					this.OnIdChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Timestamp", DbType="DateTime NOT NULL")]
+		public System.DateTime Timestamp
+		{
+			get
+			{
+				return this._Timestamp;
+			}
+			set
+			{
+				if ((this._Timestamp != value))
+				{
+					this.OnTimestampChanging(value);
+					this.SendPropertyChanging();
+					this._Timestamp = value;
+					this.SendPropertyChanged("Timestamp");
+					this.OnTimestampChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Exception", DbType="NVarChar(MAX)")]
+		public string Exception
+		{
+			get
+			{
+				return this._Exception;
+			}
+			set
+			{
+				if ((this._Exception != value))
+				{
+					this.OnExceptionChanging(value);
+					this.SendPropertyChanging();
+					this._Exception = value;
+					this.SendPropertyChanged("Exception");
+					this.OnExceptionChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UserComment", DbType="NVarChar(MAX)")]
+		public string UserComment
+		{
+			get
+			{
+				return this._UserComment;
+			}
+			set
+			{
+				if ((this._UserComment != value))
+				{
+					this.OnUserCommentChanging(value);
+					this.SendPropertyChanging();
+					this._UserComment = value;
+					this.SendPropertyChanged("UserComment");
+					this.OnUserCommentChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ConfigDump", DbType="NVarChar(MAX)")]
+		public string ConfigDump
+		{
+			get
+			{
+				return this._ConfigDump;
+			}
+			set
+			{
+				if ((this._ConfigDump != value))
+				{
+					this.OnConfigDumpChanging(value);
+					this.SendPropertyChanging();
+					this._ConfigDump = value;
+					this.SendPropertyChanged("ConfigDump");
+					this.OnConfigDumpChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ClientId", DbType="UniqueIdentifier")]
+		public System.Nullable<System.Guid> ClientId
+		{
+			get
+			{
+				return this._ClientId;
+			}
+			set
+			{
+				if ((this._ClientId != value))
+				{
+					if (this._Resource.HasLoadedOrAssignedValue)
+					{
+						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
+					}
+					this.OnClientIdChanging(value);
+					this.SendPropertyChanging();
+					this._ClientId = value;
+					this.SendPropertyChanged("ClientId");
+					this.OnClientIdChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UserId", DbType="UniqueIdentifier")]
+		public System.Nullable<System.Guid> UserId
+		{
+			get
+			{
+				return this._UserId;
+			}
+			set
+			{
+				if ((this._UserId != value))
+				{
+					if (this._UserGroupBase.HasLoadedOrAssignedValue)
+					{
+						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
+					}
+					this.OnUserIdChanging(value);
+					this.SendPropertyChanging();
+					this._UserId = value;
+					this.SendPropertyChanged("UserId");
+					this.OnUserIdChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Resource_ClientError", Storage="_Resource", ThisKey="ClientId", OtherKey="Id", IsForeignKey=true)]
+		public Resource Resource
+		{
+			get
+			{
+				return this._Resource.Entity;
+			}
+			set
+			{
+				Resource previousValue = this._Resource.Entity;
+				if (((previousValue != value) 
+							|| (this._Resource.HasLoadedOrAssignedValue == false)))
+				{
+					this.SendPropertyChanging();
+					if ((previousValue != null))
+					{
+						this._Resource.Entity = null;
+						previousValue.ClientErrors.Remove(this);
+					}
+					this._Resource.Entity = value;
+					if ((value != null))
+					{
+						value.ClientErrors.Add(this);
+						this._ClientId = value.Id;
+					}
+					else
+					{
+						this._ClientId = default(Nullable<System.Guid>);
+					}
+					this.SendPropertyChanged("Resource");
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="UserGroupBase_ClientError", Storage="_UserGroupBase", ThisKey="UserId", OtherKey="Id", IsForeignKey=true)]
+		public UserGroupBase UserGroupBase
+		{
+			get
+			{
+				return this._UserGroupBase.Entity;
+			}
+			set
+			{
+				UserGroupBase previousValue = this._UserGroupBase.Entity;
+				if (((previousValue != value) 
+							|| (this._UserGroupBase.HasLoadedOrAssignedValue == false)))
+				{
+					this.SendPropertyChanging();
+					if ((previousValue != null))
+					{
+						this._UserGroupBase.Entity = null;
+						previousValue.ClientErrors.Remove(this);
+					}
+					this._UserGroupBase.Entity = value;
+					if ((value != null))
+					{
+						value.ClientErrors.Add(this);
+						this._UserId = value.Id;
+					}
+					else
+					{
+						this._UserId = default(Nullable<System.Guid>);
+					}
+					this.SendPropertyChanged("UserGroupBase");
+				}
+			}
+		}
+		
+		public event PropertyChangingEventHandler PropertyChanging;
+		
+		public event PropertyChangedEventHandler PropertyChanged;
+		
+		protected virtual void SendPropertyChanging()
+		{
+			if ((this.PropertyChanging != null))
+			{
+				this.PropertyChanging(this, emptyChangingEventArgs);
+			}
+		}
+		
+		protected virtual void SendPropertyChanged(String propertyName)
+		{
+			if ((this.PropertyChanged != null))
+			{
+				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
+			}
+		}
+	}
+	
+	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.UserGroup")]
+	[global::System.Data.Linq.Mapping.InheritanceMappingAttribute(Code="UserGroupBase", Type=typeof(UserGroupBase))]
+	[global::System.Data.Linq.Mapping.InheritanceMappingAttribute(Code="User", Type=typeof(User))]
+	[global::System.Data.Linq.Mapping.InheritanceMappingAttribute(Code="UserGroup", Type=typeof(UserGroup))]
+	public partial class UserGroupBase : INotifyPropertyChanging, INotifyPropertyChanged
+	{
+		
+		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
+		
+		private System.Guid _Id;
+		
+		private string _Type;
+		
+		private EntitySet<ClientError> _ClientErrors;
+		
+		private EntitySet<UserGroupUserGroup> _UserGroupUserGroups;
+		
+		private EntitySet<UserGroupUserGroup> _UserGroupUserGroups1;
+		
     #region Extensibility Method Definitions
     partial void OnLoaded();
@@ -1223,125 +1454,154 @@
     partial void OnTypeChanged();
     #endregion
-
-    public UserGroupBase() {
-      this._ClientErrors = new EntitySet<ClientError>(new Action<ClientError>(this.attach_ClientErrors), new Action<ClientError>(this.detach_ClientErrors));
-      this._UserGroupUserGroups = new EntitySet<UserGroupUserGroup>(new Action<UserGroupUserGroup>(this.attach_UserGroupUserGroups), new Action<UserGroupUserGroup>(this.detach_UserGroupUserGroups));
-      this._UserGroupUserGroups1 = new EntitySet<UserGroupUserGroup>(new Action<UserGroupUserGroup>(this.attach_UserGroupUserGroups1), new Action<UserGroupUserGroup>(this.detach_UserGroupUserGroups1));
-      OnCreated();
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Id", DbType = "UniqueIdentifier NOT NULL", IsPrimaryKey = true, IsDbGenerated = true)]
-    public System.Guid Id {
-      get {
-        return this._Id;
-      }
-      set {
-        if ((this._Id != value)) {
-          this.OnIdChanging(value);
-          this.SendPropertyChanging();
-          this._Id = value;
-          this.SendPropertyChanged("Id");
-          this.OnIdChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.ColumnAttribute(Storage = "_Type", DbType = "NVarChar(10) NOT NULL", CanBeNull = false, IsDiscriminator = true)]
-    public string Type {
-      get {
-        return this._Type;
-      }
-      set {
-        if ((this._Type != value)) {
-          this.OnTypeChanging(value);
-          this.SendPropertyChanging();
-          this._Type = value;
-          this.SendPropertyChanged("Type");
-          this.OnTypeChanged();
-        }
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.AssociationAttribute(Name = "UserGroupBase_ClientError", Storage = "_ClientErrors", ThisKey = "Id", OtherKey = "UserId")]
-    public EntitySet<ClientError> ClientErrors {
-      get {
-        return this._ClientErrors;
-      }
-      set {
-        this._ClientErrors.Assign(value);
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.AssociationAttribute(Name = "UserGroupBase_UserGroupUserGroup", Storage = "_UserGroupUserGroups", ThisKey = "Id", OtherKey = "UserGroupId")]
-    public EntitySet<UserGroupUserGroup> UserGroupUserGroupsChilds {
-      get {
-        return this._UserGroupUserGroups;
-      }
-      set {
-        this._UserGroupUserGroups.Assign(value);
-      }
-    }
-
-    [global::System.Data.Linq.Mapping.AssociationAttribute(Name = "UserGroupBase_UserGroupUserGroup1", Storage = "_UserGroupUserGroups1", ThisKey = "Id", OtherKey = "UserGroupUserGroupId")]
-    public EntitySet<UserGroupUserGroup> UserGroupUserGroupsParents {
-      get {
-        return this._UserGroupUserGroups1;
-      }
-      set {
-        this._UserGroupUserGroups1.Assign(value);
-      }
-    }
-
-    public event PropertyChangingEventHandler PropertyChanging;
-
-    public event PropertyChangedEventHandler PropertyChanged;
-
-    protected virtual void SendPropertyChanging() {
-      if ((this.PropertyChanging != null)) {
-        this.PropertyChanging(this, emptyChangingEventArgs);
-      }
-    }
-
-    protected virtual void SendPropertyChanged(String propertyName) {
-      if ((this.PropertyChanged != null)) {
-        this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
-      }
-    }
-
-    private void attach_ClientErrors(ClientError entity) {
-      this.SendPropertyChanging();
-      entity.UserGroupBase = this;
-    }
-
-    private void detach_ClientErrors(ClientError entity) {
-      this.SendPropertyChanging();
-      entity.UserGroupBase = null;
-    }
-
-    private void attach_UserGroupUserGroups(UserGroupUserGroup entity) {
-      this.SendPropertyChanging();
-      entity.UserGroup = this;
-    }
-
-    private void detach_UserGroupUserGroups(UserGroupUserGroup entity) {
-      this.SendPropertyChanging();
-      entity.UserGroup = null;
-    }
-
-    private void attach_UserGroupUserGroups1(UserGroupUserGroup entity) {
-      this.SendPropertyChanging();
-      entity.UserGroupBase = this;
-    }
-
-    private void detach_UserGroupUserGroups1(UserGroupUserGroup entity) {
-      this.SendPropertyChanging();
-      entity.UserGroupBase = null;
-    }
-  }
-
-  public partial class User : UserGroupBase {
-
-    private string _FullName;
-
+		
+		public UserGroupBase()
+		{
+			this._ClientErrors = new EntitySet<ClientError>(new Action<ClientError>(this.attach_ClientErrors), new Action<ClientError>(this.detach_ClientErrors));
+			this._UserGroupUserGroups = new EntitySet<UserGroupUserGroup>(new Action<UserGroupUserGroup>(this.attach_UserGroupUserGroups), new Action<UserGroupUserGroup>(this.detach_UserGroupUserGroups));
+			this._UserGroupUserGroups1 = new EntitySet<UserGroupUserGroup>(new Action<UserGroupUserGroup>(this.attach_UserGroupUserGroups1), new Action<UserGroupUserGroup>(this.detach_UserGroupUserGroups1));
+			OnCreated();
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", DbType="UniqueIdentifier NOT NULL", IsPrimaryKey=true, IsDbGenerated=true)]
+		public System.Guid Id
+		{
+			get
+			{
+				return this._Id;
+			}
+			set
+			{
+				if ((this._Id != value))
+				{
+					this.OnIdChanging(value);
+					this.SendPropertyChanging();
+					this._Id = value;
+					this.SendPropertyChanged("Id");
+					this.OnIdChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Type", DbType="NVarChar(10) NOT NULL", CanBeNull=false, IsDiscriminator=true)]
+		public string Type
+		{
+			get
+			{
+				return this._Type;
+			}
+			set
+			{
+				if ((this._Type != value))
+				{
+					this.OnTypeChanging(value);
+					this.SendPropertyChanging();
+					this._Type = value;
+					this.SendPropertyChanged("Type");
+					this.OnTypeChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="UserGroupBase_ClientError", Storage="_ClientErrors", ThisKey="Id", OtherKey="UserId")]
+		public EntitySet<ClientError> ClientErrors
+		{
+			get
+			{
+				return this._ClientErrors;
+			}
+			set
+			{
+				this._ClientErrors.Assign(value);
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="UserGroupBase_UserGroupUserGroup", Storage="_UserGroupUserGroups", ThisKey="Id", OtherKey="UserGroupId")]
+		public EntitySet<UserGroupUserGroup> UserGroupUserGroupsChilds
+		{
+			get
+			{
+				return this._UserGroupUserGroups;
+			}
+			set
+			{
+				this._UserGroupUserGroups.Assign(value);
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="UserGroupBase_UserGroupUserGroup1", Storage="_UserGroupUserGroups1", ThisKey="Id", OtherKey="UserGroupUserGroupId")]
+		public EntitySet<UserGroupUserGroup> UserGroupUserGroupsParents
+		{
+			get
+			{
+				return this._UserGroupUserGroups1;
+			}
+			set
+			{
+				this._UserGroupUserGroups1.Assign(value);
+			}
+		}
+		
+		public event PropertyChangingEventHandler PropertyChanging;
+		
+		public event PropertyChangedEventHandler PropertyChanged;
+		
+		protected virtual void SendPropertyChanging()
+		{
+			if ((this.PropertyChanging != null))
+			{
+				this.PropertyChanging(this, emptyChangingEventArgs);
+			}
+		}
+		
+		protected virtual void SendPropertyChanged(String propertyName)
+		{
+			if ((this.PropertyChanged != null))
+			{
+				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
+			}
+		}
+		
+		private void attach_ClientErrors(ClientError entity)
+		{
+			this.SendPropertyChanging();
+			entity.UserGroupBase = this;
+		}
+		
+		private void detach_ClientErrors(ClientError entity)
+		{
+			this.SendPropertyChanging();
+			entity.UserGroupBase = null;
+		}
+		
+		private void attach_UserGroupUserGroups(UserGroupUserGroup entity)
+		{
+			this.SendPropertyChanging();
+			entity.UserGroup = this;
+		}
+		
+		private void detach_UserGroupUserGroups(UserGroupUserGroup entity)
+		{
+			this.SendPropertyChanging();
+			entity.UserGroup = null;
+		}
+		
+		private void attach_UserGroupUserGroups1(UserGroupUserGroup entity)
+		{
+			this.SendPropertyChanging();
+			entity.UserGroupBase = this;
+		}
+		
+		private void detach_UserGroupUserGroups1(UserGroupUserGroup entity)
+		{
+			this.SendPropertyChanging();
+			entity.UserGroupBase = null;
+		}
+	}
+	
+	public partial class User : UserGroupBase
+	{
+		
+		private string _FullName;
+		
     #region Extensibility Method Definitions
     partial void OnLoaded();
